## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Created by pyp2rpm-3.3.6
%global pypi_name click-default-group

%global _description %{expand:
Provides DefaultGroup, a subclass of click.Group that invokes a default
subcommand instead of showing a help message when a subcommand is not passed.}

Name:           python-%{pypi_name}
Version:        1.2.2
Release:        %autorelease
Summary:        Extends click.Group to invoke a command without explicit subcommand name

License:        BSD
URL:            https://github.com/sublee/click-default-group/
Source0:        %url/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
# Fix detection of error message in test, related to ckick 8
Patch0:         https://patch-diff.githubusercontent.com/raw/click-contrib/click-default-group/pull/18.patch#/0001-Fix-detection-of-error-message.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
echo 'python3-devel'
echo 'python3dist(pip) >= 19'
echo 'python3dist(packaging)'
echo 'python3dist(setuptools) >= 40.8'
echo 'python3dist(wheel)'
echo 'python3dist(click)'
echo 'python3dist(pytest)'

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files click_default_group

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Sun Aug 01 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.2.2-6
- Fix FTBFS Close: rhbz#1981708

* Sat Jul 24 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.2.2-5
- Convert to new guidelines

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.2.2-2
- Rebuilt for Python 3.10

* Mon May 24 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.2-1
- Initial package.
- Close: rhbz#1963936

